PHP5.6にできたがモジュールが読み込めない

By | 2018年1月3日

あれからPHP5.6をインストールすることはできました。
やり方はソースから直接makeしての導入です。

なんとかPHP5.6になった!
と思ったのですが、Web側をみてみるとなぜか5.4に・・。

これに関しては./configureするときにApacheのディレクトリ指定がちゃんと出来てなかったのだろうと思い、再度configure実行&make!

Web側でもきちんと5.6になっています。
しかし新たな問題が・・・。
モジュールが一切読み込まれておらず、mysqlを接続できない!
仕方がないので必要なモジュールを一つ一つソースコードからmakeしてinstall。
php.iniもディレクトリと対象のモジュールを追記してhttpd restart。
これで解決かなと思ったのですが、なぜか反映されません・・・。
php -mコマンドを実行してみても、モジュールが読み込まれていないようです。

その後も3時間くらい悩んだのですが、解決策が思い浮かばずにPHP5.4に戻すことに。
owncloudを使うことが目的でしたが、それ以外に関してはPHP5.4のままでも支障はありませんからね・・・。
時間のあるときに再度リベンジをして見ます。
今度はyumコマンドでいければ楽なんですけど、ラズパイで外部リポジトリをきちんと読み込めてる人はいるんでしょうかね・・・。ジョウホウガスクナイ…。

何か特別な設定が必要なのかもしれないですが、その辺もあとで調べておきましょう!

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

日本語が含まれない投稿は無視されますのでご注意ください。(スパム対策)